Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
Get information about a Vultr Kubernetes Engine (VKE) Cluster.
Example Usage
Create a new VKE cluster:
import * as pulumi from "@pulumi/pulumi";
import * as vultr from "@ediri/vultr";
const myVke = vultr.getKubernetes({
filters: [{
name: "label",
values: ["my-lb-label"],
}],
});
import pulumi
import pulumi_vultr as vultr
my_vke = vultr.get_kubernetes(filters=[{
"name": "label",
"values": ["my-lb-label"],
}])
package main
import (
"github.com/dirien/pulumi-vultr/sdk/v2/go/vultr"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := vultr.LookupKubernetes(ctx, &vultr.LookupKubernetesArgs{
Filters: []vultr.GetKubernetesFilter{
{
Name: "label",
Values: []string{
"my-lb-label",
},
},
},
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Vultr = Pulumi.Vultr;
return await Deployment.RunAsync(() =>
{
var myVke = Vultr.GetKubernetes.Invoke(new()
{
Filters = new[]
{
new Vultr.Inputs.GetKubernetesFilterInputArgs
{
Name = "label",
Values = new[]
{
"my-lb-label",
},
},
},
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.vultr.VultrFunctions;
import com.pulumi.vultr.inputs.GetKubernetesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var myVke = VultrFunctions.getKubernetes(GetKubernetesArgs.builder()
.filters(GetKubernetesFilterArgs.builder()
.name("label")
.values("my-lb-label")
.build())
.build());
}
}
variables:
myVke:
fn::invoke:
function: vultr:getKubernetes
arguments:
filters:
- name: label
values:
- my-lb-label
Using getKubernetes
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getKubernetes(args: GetKubernetesArgs, opts?: InvokeOptions): Promise<GetKubernetesResult>
function getKubernetesOutput(args: GetKubernetesOutputArgs, opts?: InvokeOptions): Output<GetKubernetesResult>def get_kubernetes(filters: Optional[Sequence[GetKubernetesFilter]] = None,
opts: Optional[InvokeOptions] = None) -> GetKubernetesResult
def get_kubernetes_output(filters: Optional[pulumi.Input[Sequence[pulumi.Input[GetKubernetesFilterArgs]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetKubernetesResult]func LookupKubernetes(ctx *Context, args *LookupKubernetesArgs, opts ...InvokeOption) (*LookupKubernetesResult, error)
func LookupKubernetesOutput(ctx *Context, args *LookupKubernetesOutputArgs, opts ...InvokeOption) LookupKubernetesResultOutput> Note: This function is named LookupKubernetes in the Go SDK.
public static class GetKubernetes
{
public static Task<GetKubernetesResult> InvokeAsync(GetKubernetesArgs args, InvokeOptions? opts = null)
public static Output<GetKubernetesResult> Invoke(GetKubernetesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetKubernetesResult> getKubernetes(GetKubernetesArgs args, InvokeOptions options)
public static Output<GetKubernetesResult> getKubernetes(GetKubernetesArgs args, InvokeOptions options)
fn::invoke:
function: vultr:index/getKubernetes:getKubernetes
arguments:
# arguments dictionaryThe following arguments are supported:
- Filters
List<ediri.
Vultr. Inputs. Get Kubernetes Filter> - Query parameters for finding VKE.
- Filters
[]Get
Kubernetes Filter - Query parameters for finding VKE.
- filters
List<Get
Kubernetes Filter> - Query parameters for finding VKE.
- filters
Get
Kubernetes Filter[] - Query parameters for finding VKE.
- filters
Sequence[Get
Kubernetes Filter] - Query parameters for finding VKE.
- filters List<Property Map>
- Query parameters for finding VKE.
getKubernetes Result
The following output properties are available:
- Client
Certificate string - The base64 encoded public certificate used by clients to access the cluster.
- Client
Key string - The base64 encoded private key used by clients to access the cluster.
- Cluster
Ca stringCertificate - The base64 encoded public certificate for the cluster's certificate authority.
- Cluster
Subnet string - IP range that your pods will run on in this cluster.
- Date
Created string - Date node was created.
- Endpoint string
- Domain for your Kubernetes clusters control plane.
- Firewall
Group stringId - The ID of the firewall group managed by this cluster.
- Ha
Controlplanes bool - Boolean indicating whether or not the cluster has multiple, highly available controlplanes.
- Id string
- ID of node.
- Ip string
- IP address of VKE cluster control plane.
- Kube
Config string - Base64 encoded Kubeconfig for this VKE cluster.
- Label string
- Label of node.
- Node
Pools List<ediri.Vultr. Outputs. Get Kubernetes Node Pool> - Contains the default node pool that was deployed.
- Region string
- The region your VKE cluster is deployed in.
- Service
Subnet string - IP range that services will run on this cluster.
- Status string
- Status of node.
- Version string
- The current kubernetes version your VKE cluster is running on.
- Filters
List<ediri.
Vultr. Outputs. Get Kubernetes Filter>
- Client
Certificate string - The base64 encoded public certificate used by clients to access the cluster.
- Client
Key string - The base64 encoded private key used by clients to access the cluster.
- Cluster
Ca stringCertificate - The base64 encoded public certificate for the cluster's certificate authority.
- Cluster
Subnet string - IP range that your pods will run on in this cluster.
- Date
Created string - Date node was created.
- Endpoint string
- Domain for your Kubernetes clusters control plane.
- Firewall
Group stringId - The ID of the firewall group managed by this cluster.
- Ha
Controlplanes bool - Boolean indicating whether or not the cluster has multiple, highly available controlplanes.
- Id string
- ID of node.
- Ip string
- IP address of VKE cluster control plane.
- Kube
Config string - Base64 encoded Kubeconfig for this VKE cluster.
- Label string
- Label of node.
- Node
Pools []GetKubernetes Node Pool - Contains the default node pool that was deployed.
- Region string
- The region your VKE cluster is deployed in.
- Service
Subnet string - IP range that services will run on this cluster.
- Status string
- Status of node.
- Version string
- The current kubernetes version your VKE cluster is running on.
- Filters
[]Get
Kubernetes Filter
- client
Certificate String - The base64 encoded public certificate used by clients to access the cluster.
- client
Key String - The base64 encoded private key used by clients to access the cluster.
- cluster
Ca StringCertificate - The base64 encoded public certificate for the cluster's certificate authority.
- cluster
Subnet String - IP range that your pods will run on in this cluster.
- date
Created String - Date node was created.
- endpoint String
- Domain for your Kubernetes clusters control plane.
- firewall
Group StringId - The ID of the firewall group managed by this cluster.
- ha
Controlplanes Boolean - Boolean indicating whether or not the cluster has multiple, highly available controlplanes.
- id String
- ID of node.
- ip String
- IP address of VKE cluster control plane.
- kube
Config String - Base64 encoded Kubeconfig for this VKE cluster.
- label String
- Label of node.
- node
Pools List<GetKubernetes Node Pool> - Contains the default node pool that was deployed.
- region String
- The region your VKE cluster is deployed in.
- service
Subnet String - IP range that services will run on this cluster.
- status String
- Status of node.
- version String
- The current kubernetes version your VKE cluster is running on.
- filters
List<Get
Kubernetes Filter>
- client
Certificate string - The base64 encoded public certificate used by clients to access the cluster.
- client
Key string - The base64 encoded private key used by clients to access the cluster.
- cluster
Ca stringCertificate - The base64 encoded public certificate for the cluster's certificate authority.
- cluster
Subnet string - IP range that your pods will run on in this cluster.
- date
Created string - Date node was created.
- endpoint string
- Domain for your Kubernetes clusters control plane.
- firewall
Group stringId - The ID of the firewall group managed by this cluster.
- ha
Controlplanes boolean - Boolean indicating whether or not the cluster has multiple, highly available controlplanes.
- id string
- ID of node.
- ip string
- IP address of VKE cluster control plane.
- kube
Config string - Base64 encoded Kubeconfig for this VKE cluster.
- label string
- Label of node.
- node
Pools GetKubernetes Node Pool[] - Contains the default node pool that was deployed.
- region string
- The region your VKE cluster is deployed in.
- service
Subnet string - IP range that services will run on this cluster.
- status string
- Status of node.
- version string
- The current kubernetes version your VKE cluster is running on.
- filters
Get
Kubernetes Filter[]
- client_
certificate str - The base64 encoded public certificate used by clients to access the cluster.
- client_
key str - The base64 encoded private key used by clients to access the cluster.
- cluster_
ca_ strcertificate - The base64 encoded public certificate for the cluster's certificate authority.
- cluster_
subnet str - IP range that your pods will run on in this cluster.
- date_
created str - Date node was created.
- endpoint str
- Domain for your Kubernetes clusters control plane.
- firewall_
group_ strid - The ID of the firewall group managed by this cluster.
- ha_
controlplanes bool - Boolean indicating whether or not the cluster has multiple, highly available controlplanes.
- id str
- ID of node.
- ip str
- IP address of VKE cluster control plane.
- kube_
config str - Base64 encoded Kubeconfig for this VKE cluster.
- label str
- Label of node.
- node_
pools Sequence[GetKubernetes Node Pool] - Contains the default node pool that was deployed.
- region str
- The region your VKE cluster is deployed in.
- service_
subnet str - IP range that services will run on this cluster.
- status str
- Status of node.
- version str
- The current kubernetes version your VKE cluster is running on.
- filters
Sequence[Get
Kubernetes Filter]
- client
Certificate String - The base64 encoded public certificate used by clients to access the cluster.
- client
Key String - The base64 encoded private key used by clients to access the cluster.
- cluster
Ca StringCertificate - The base64 encoded public certificate for the cluster's certificate authority.
- cluster
Subnet String - IP range that your pods will run on in this cluster.
- date
Created String - Date node was created.
- endpoint String
- Domain for your Kubernetes clusters control plane.
- firewall
Group StringId - The ID of the firewall group managed by this cluster.
- ha
Controlplanes Boolean - Boolean indicating whether or not the cluster has multiple, highly available controlplanes.
- id String
- ID of node.
- ip String
- IP address of VKE cluster control plane.
- kube
Config String - Base64 encoded Kubeconfig for this VKE cluster.
- label String
- Label of node.
- node
Pools List<Property Map> - Contains the default node pool that was deployed.
- region String
- The region your VKE cluster is deployed in.
- service
Subnet String - IP range that services will run on this cluster.
- status String
- Status of node.
- version String
- The current kubernetes version your VKE cluster is running on.
- filters List<Property Map>
Supporting Types
GetKubernetesFilter
GetKubernetesNodePool
- Date
Created string - Date node was created.
- Date
Updated string - Date of node pool updates.
- Id string
- ID of node.
- Label string
- Label of node.
- Node
Quantity int - Number of nodes within node pool.
- Nodes
List<ediri.
Vultr. Inputs. Get Kubernetes Node Pool Node> - Array that contains information about nodes within this node pool.
- Plan string
- Node plan that nodes are using within this node pool.
- Status string
- Status of node.
- Tag string
- Tag for node pool.
- Auto
Scaler bool - Boolean indicating if the auto scaler for the default node pool is active.
- Labels Dictionary<string, string>
- Kubernetes node labels applied to the node pool.
- Max
Nodes int - The maximum number of nodes used by the auto scaler.
- Min
Nodes int - The minimum number of nodes used by the auto scaler.
- Taints
List<ediri.
Vultr. Inputs. Get Kubernetes Node Pool Taint> - Kubernetes node taints applied to the node pool.
- User
Data string - The base64 encoded string containing the user data applied to nodes in the node pool.
- Date
Created string - Date node was created.
- Date
Updated string - Date of node pool updates.
- Id string
- ID of node.
- Label string
- Label of node.
- Node
Quantity int - Number of nodes within node pool.
- Nodes
[]Get
Kubernetes Node Pool Node - Array that contains information about nodes within this node pool.
- Plan string
- Node plan that nodes are using within this node pool.
- Status string
- Status of node.
- Tag string
- Tag for node pool.
- Auto
Scaler bool - Boolean indicating if the auto scaler for the default node pool is active.
- Labels map[string]string
- Kubernetes node labels applied to the node pool.
- Max
Nodes int - The maximum number of nodes used by the auto scaler.
- Min
Nodes int - The minimum number of nodes used by the auto scaler.
- Taints
[]Get
Kubernetes Node Pool Taint - Kubernetes node taints applied to the node pool.
- User
Data string - The base64 encoded string containing the user data applied to nodes in the node pool.
- date
Created String - Date node was created.
- date
Updated String - Date of node pool updates.
- id String
- ID of node.
- label String
- Label of node.
- node
Quantity Integer - Number of nodes within node pool.
- nodes
List<Get
Kubernetes Node Pool Node> - Array that contains information about nodes within this node pool.
- plan String
- Node plan that nodes are using within this node pool.
- status String
- Status of node.
- tag String
- Tag for node pool.
- auto
Scaler Boolean - Boolean indicating if the auto scaler for the default node pool is active.
- labels Map<String,String>
- Kubernetes node labels applied to the node pool.
- max
Nodes Integer - The maximum number of nodes used by the auto scaler.
- min
Nodes Integer - The minimum number of nodes used by the auto scaler.
- taints
List<Get
Kubernetes Node Pool Taint> - Kubernetes node taints applied to the node pool.
- user
Data String - The base64 encoded string containing the user data applied to nodes in the node pool.
- date
Created string - Date node was created.
- date
Updated string - Date of node pool updates.
- id string
- ID of node.
- label string
- Label of node.
- node
Quantity number - Number of nodes within node pool.
- nodes
Get
Kubernetes Node Pool Node[] - Array that contains information about nodes within this node pool.
- plan string
- Node plan that nodes are using within this node pool.
- status string
- Status of node.
- tag string
- Tag for node pool.
- auto
Scaler boolean - Boolean indicating if the auto scaler for the default node pool is active.
- labels {[key: string]: string}
- Kubernetes node labels applied to the node pool.
- max
Nodes number - The maximum number of nodes used by the auto scaler.
- min
Nodes number - The minimum number of nodes used by the auto scaler.
- taints
Get
Kubernetes Node Pool Taint[] - Kubernetes node taints applied to the node pool.
- user
Data string - The base64 encoded string containing the user data applied to nodes in the node pool.
- date_
created str - Date node was created.
- date_
updated str - Date of node pool updates.
- id str
- ID of node.
- label str
- Label of node.
- node_
quantity int - Number of nodes within node pool.
- nodes
Sequence[Get
Kubernetes Node Pool Node] - Array that contains information about nodes within this node pool.
- plan str
- Node plan that nodes are using within this node pool.
- status str
- Status of node.
- tag str
- Tag for node pool.
- auto_
scaler bool - Boolean indicating if the auto scaler for the default node pool is active.
- labels Mapping[str, str]
- Kubernetes node labels applied to the node pool.
- max_
nodes int - The maximum number of nodes used by the auto scaler.
- min_
nodes int - The minimum number of nodes used by the auto scaler.
- taints
Sequence[Get
Kubernetes Node Pool Taint] - Kubernetes node taints applied to the node pool.
- user_
data str - The base64 encoded string containing the user data applied to nodes in the node pool.
- date
Created String - Date node was created.
- date
Updated String - Date of node pool updates.
- id String
- ID of node.
- label String
- Label of node.
- node
Quantity Number - Number of nodes within node pool.
- nodes List<Property Map>
- Array that contains information about nodes within this node pool.
- plan String
- Node plan that nodes are using within this node pool.
- status String
- Status of node.
- tag String
- Tag for node pool.
- auto
Scaler Boolean - Boolean indicating if the auto scaler for the default node pool is active.
- labels Map<String>
- Kubernetes node labels applied to the node pool.
- max
Nodes Number - The maximum number of nodes used by the auto scaler.
- min
Nodes Number - The minimum number of nodes used by the auto scaler.
- taints List<Property Map>
- Kubernetes node taints applied to the node pool.
- user
Data String - The base64 encoded string containing the user data applied to nodes in the node pool.
GetKubernetesNodePoolNode
- Date
Created string - Date node was created.
- Id string
- ID of node.
- Label string
- Label of node.
- Status string
- Status of node.
- Date
Created string - Date node was created.
- Id string
- ID of node.
- Label string
- Label of node.
- Status string
- Status of node.
- date
Created String - Date node was created.
- id String
- ID of node.
- label String
- Label of node.
- status String
- Status of node.
- date
Created string - Date node was created.
- id string
- ID of node.
- label string
- Label of node.
- status string
- Status of node.
- date_
created str - Date node was created.
- id str
- ID of node.
- label str
- Label of node.
- status str
- Status of node.
- date
Created String - Date node was created.
- id String
- ID of node.
- label String
- Label of node.
- status String
- Status of node.
GetKubernetesNodePoolTaint
Package Details
- Repository
- vultr dirien/pulumi-vultr
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
vultrTerraform Provider.
Viewing docs for Vultr v2.27.1
published on Tuesday, Sep 30, 2025 by dirien
published on Tuesday, Sep 30, 2025 by dirien
